%% Inputs
locs = {'/Users/admin/Desktop/Paper Images/Min Max Results/vt_a0_150yr_4000.exp'
    '/Users/admin/Desktop/Paper Images/Min Max Results/vt_a0_4000.exp'
    '/Users/admin/Desktop/Paper Images/Min Max Results/vt_max_150yr_4000.exp'
    '/Users/admin/Desktop/Paper Images/Min Max Results/vt_max_4000.exp'
    '/Users/admin/Desktop/Paper Images/Min Max Results/vt_min_150yr_4000.exp'
    '/Users/admin/Desktop/Paper Images/Min Max Results/vt_min_4000.exp'}; % june3down has all extremes!

refMDloc = '/Volumes/MyPassport/june3down/FinishedMds_Extremes/FINTHW_Extremes_VT_A0.mat';

expres = 4000; % in meters, what spatial resolution should the lines be?

%% Initialization & Module Loading
addpath /Users/admin/ISSM/trunk-jpl/src/m/dev; devpath; %Loads ISSM Dev Module
addpath /Users/admin/Documents/MATLAB/cmocean_v2.0/cmocean; %Adds CMOcean Addons

expfiles = {};
mdtypes = {};
bedtypes = {};

%% Error Checks
if length(locs) ~=6
    error('Data set up for 6 inputs');
end
if isempty(refMDloc)
    error('Need a model input');
end

%% Plotting

% Reference Model Load
%a0 = loadmodel(refMDloc);

% Temporary Styles
tempstyles = {'y-.','y','g-.','g','r-.','r','k'};

% Colormap Load
balance = cmocean('balance');

% Plot Exp List
plotexpfiles = locs;
plotexpfiles{end+1} = 'gl_insar_thwaites.exp';


% Initial Plot
plotmodel(a0,'data',a0.geometry.bed,'expdisp',plotexpfiles,'expstyle',tempstyles,'scaleruler',[-1.6e6 -.9e6 300e3 80000/6 4]);
caxis([-2000 2000]);
colormap(balance);




maxes = findobj(gcf,'Type','line','Color','g');
maxcolor = [.7 .7 .1];
set(maxes(1),'Color',maxcolor,'LineWidth',2)
set(maxes(2),'Color',maxcolor,'LineWidth',2)
a0s = findobj(gcf,'Type','line','Color','y');
a0color = [.9 .5 .1];
set(a0s(1),'Color',a0color,'LineWidth',2)
set(a0s(2),'Color',a0color,'LineWidth',2)
mins = findobj(gcf,'Type','line','Color','r');
mincolor = [.7 .2 .2];
set(mins(1),'Color',mincolor,'LineWidth',2)
set(mins(2),'Color',mincolor,'LineWidth',2)
axis off;
initgl = findobj(gcf,'Type','line','Color','k');
set(initgl,'LineWidth',2);
legend([initgl(1) maxes(2) maxes(1) a0s(2) a0s(1) mins(2) mins(1)],{'Observed Grounding Line','Maximum Bedrock - 150 yrs','Maximum Bedrock - 200 yrs','Control Bedrock - 150 yrs','Control Bedrock - 200 yrs','Minimum Bedrock - 150 yrs', 'Minimum Bedrock - 200 yrs'},'Location','sw')


h = colorbar;
ylabel(h, 'Bedrock Elevation [m]','Rotation',-90,'Position',[4.5 0 0],'FontName','Times New Roman','FontSize',14);

set(gca,'FontName','Times New Roman')
set(gca,'FontSize',14)

set(findall(gcf,'-property','FontSize'),'FontSize',14,'FontName','Times New Roman')