load('/Users/admin/Desktop/Paper Images/VT/THW_Final_Melts_Per_VT_both.mat');

wavelets = {'db2','dmey'};
levels = [1 2 3 4];
legend_name = {};
bal = cmocean('balance');
bal = bal([5 50 80 100 160 180 210 240],:);


hold on;
for wv = wavelets
    for lvl = levels
        alt  = [];
        slrs = [];
        for i=1:length(vt)
            if (vt(i).level == lvl & strcmp(vt(i).wavelet,wv)) | strcmp(vt(i).wavelet,'a0')
                alt(end+1) = vt(i).elevation;
                slrs(end+1) = vt(i).slr;
                
                if length(slrs) == 1
                    legend_name{end+1} = [wv{1} 'l' num2str(lvl) 'p' num2str(vt(i).percent)];
                end
            end
        end
        if strcmp(wv,'db2')
            chosenColor = [1 0 0];
        else
            chosenColor = [0 1 1];
        end
        
        [X,ind] = sort(alt,'d');
        Y = slrs(ind);
        X = X - X(1);
        Y = Y - Y(1);
        
        
        %xx = linspace(X(1),X(end));
        %yy = spline(X,Y,xx);
        plot(X,Y,'+:','color',bal(1,:),'LineWidth',1,'MarkerSize',5);
        bal = bal(2:end,:);
    end
end

plot([-200 0],[.02 .02],'k-','LineWidth',2)
legend_name{end+1} = '2cm Mark';

xlim([-100 0]);
set(gca, 'XDir','reverse');
legend(legend_name,'Location','nw');


grid;
xlabel('Bedrock Subtracted [m]');
ylabel('Sea Level Rise [m]');
title('SLR vs Bed Subtract From Max Bedrock Realization');


set(gca,'FontName','Times New Roman')
set(gca,'FontSize',18) % base 14


