load('/Users/admin/Desktop/Paper Images/VT/THW_Final_Melts_Per_VT_both.mat');

wavelets = {'db2','dmey'};
levels = [1 2 3 4];
legend_name = {};
bal = cmocean('balance');
bal = bal([5 50 80 100 160 180 210 240],:);


hold on;
for wv = wavelets
    for lvl = levels
        alt  = [];
        slrs = [];
        for i=1:length(vt)
            if (vt(i).level == lvl & strcmp(vt(i).wavelet,wv)) | strcmp(vt(i).wavelet,'a0')
                alt(end+1) = vt(i).elevation;
                slrs(end+1) = vt(i).slr;
                
                if length(slrs) == 1
                    legend_name{end+1} = [wv{1} 'l' num2str(lvl) 'p' num2str(vt(i).percent)];
                end
            end
        end
        if strcmp(wv,'db2')
            chosenColor = [1 0 0];
        else
            chosenColor = [0 1 1];
        end
        xx = linspace(-100,100);
        yy = spline(alt,slrs,xx);
        plot(xx,yy,'color',bal(1,:),'LineWidth',3);
        bal = bal(2:end,:);
    end
end


legend(legend_name,'Location','ne');
grid;
xlabel('Bedrock Alteration Limit [m]');
ylabel('Sea Level Rise [m]');
title('Vertical Resolution Noise Construction');


set(gca,'FontName','Times New Roman')
set(gca,'FontSize',14)